***********************************************************
*
* Emails from Official Sources Can Increase Turnout
* 
* Malhotra, Michelson and Valenzuela (2012)
*
* Data Replication Archive STATA code
*
***********************************************************


*************************
** NOVEMBER 3, 2009 *****
*************************

	** OPEN DB FILE
	use "Nov2009post.dta"

	** MERGE WITH EXPERIMENTAL TREATMENT INFO
	merge voter_id using "Nov2009_treatments.dta", unique sort
	
	
	** CREATE RELEVANT VARIABLES
		gen democrat = party == "DEMOCRAT"
		gen republican = party == "REPUBLICAN"
		gen declinepid = party == "NON-DECLINE TO STATE"
		gen otherpid = (!democrat & !republican & !declinepid) 
		gen dsotherpid = (declinepid == 1 | otherpid == 1)
		
		gen age_yr = substr(dob, 1, 4)
		destring age_yr, replace
		gen age_mo = substr(dob, 6, 2)
		destring age_mo, replace
		gen age_da = substr(dob, 9, 2)
		destring age_da, replace
		
		gen age = 2009 - age_yr if ((age_mo < 11) | (age_mo == 11 & age_da <= 3))
		replace age = 2009 - (age_yr + 1) if ( (age_mo == 11 & age_da > 3) | age_mo == 12)

		gen yr_reg = substr(reg_dt,7,4)
		destring yr_reg, replace
		gen yrsreg = 2009 - yr_reg
		
		gen youth = age < 40
		
		gen warren = treatment2 == 2
		gen pave = treatment2 == 1
		gen ctrl = treatment2 == 0
		
		gen vbm = perm_ab == "PERM"
		
		gen forborn = 1 if (	pob == "AA" )
		replace forborn = 1 if (pob == "AB" ) 
 		replace forborn = 1 if (pob == "AC" ) 
 		replace forborn = 1 if (pob == "AD" ) 
 		replace forborn = 1 if (pob == "AE" ) 
 		replace forborn = 1 if (pob == "AF" ) 
 		replace forborn = 1 if (pob == "AG" ) 
 		replace forborn = 1 if (pob == "AI" ) 
 		replace forborn = 1 if (pob == "AM" ) 
 		replace forborn = 1 if (pob == "AO" ) 
 		replace forborn = 1 if (pob == "AQ" ) 
 		replace forborn = 1 if (pob == "AR" ) 
 		replace forborn = 1 if (pob == "AS" ) 
 		replace forborn = 1 if (pob == "AT" ) 
 		replace forborn = 1 if (pob == "AU" ) 
 		replace forborn = 1 if (pob == "AW" ) 
 		replace forborn = 1 if (pob == "AX" ) 
 		replace forborn = 1 if (pob == "BA" ) 
 		replace forborn = 1 if (pob == "BB" ) 
 		replace forborn = 1 if (pob == "BD" ) 
 		replace forborn = 1 if (pob == "BE" ) 
 		replace forborn = 1 if (pob == "BF" ) 
 		replace forborn = 1 if (pob == "BG" ) 
 		replace forborn = 1 if (pob == "BH" ) 
 		replace forborn = 1 if (pob == "BI" ) 
 		replace forborn = 1 if (pob == "BJ" ) 
 		replace forborn = 1 if (pob == "BM" ) 
 		replace forborn = 1 if (pob == "BN" ) 
 		replace forborn = 1 if (pob == "BO" ) 
 		replace forborn = 1 if (pob == "BR" ) 
 		replace forborn = 1 if (pob == "BS" ) 
 		replace forborn = 1 if (pob == "BT" ) 
 		replace forborn = 1 if (pob == "BU" ) 
 		replace forborn = 1 if (pob == "BV" ) 
 		replace forborn = 1 if (pob == "BW" ) 
 		replace forborn = 1 if (pob == "BY" ) 
 		replace forborn = 1 if (pob == "BZ" ) 
 		replace forborn = 1 if (pob == "CB" ) 
 		replace forborn = 1 if (pob == "CC" ) 
 		replace forborn = 1 if (pob == "CD" ) 
 		replace forborn = 1 if (pob == "CE" ) 
 		replace forborn = 1 if (pob == "CF" ) 
 		replace forborn = 1 if (pob == "CG" ) 
 		replace forborn = 1 if (pob == "CH" ) 
 		replace forborn = 1 if (pob == "CI" ) 
 		replace forborn = 1 if (pob == "CK" ) 
 		replace forborn = 1 if (pob == "CM" ) 
 		replace forborn = 1 if (pob == "CN" ) 
 		replace forborn = 1 if (pob == "CD" ) 					
 		replace forborn = 1 if (pob == "CQ" )
 		replace forborn = 1 if (pob == "CR" )
 		replace forborn = 1 if (pob == "CS" )
 		replace forborn = 1 if (pob == "CU" )
 		replace forborn = 1 if (pob == "CV" )
 		replace forborn = 1 if (pob == "CX" )
 		replace forborn = 1 if (pob == "CY" )
 		replace forborn = 1 if (pob == "CZ" )
 		replace forborn = 1 if (pob == "DJ" )
 		replace forborn = 1 if (pob == "DK" )
 		replace forborn = 1 if (pob == "DM" )
 		replace forborn = 1 if (pob == "DR" )
 		replace forborn = 1 if (pob == "DS" )
 		replace forborn = 1 if (pob == "DU" )
 		replace forborn = 1 if (pob == "DZ" )
 		replace forborn = 1 if (pob == "EE" )
 		replace forborn = 1 if (pob == "EM" )
 		replace forborn = 1 if (pob == "EN" )
 		replace forborn = 1 if (pob == "EO" )
 		replace forborn = 1 if (pob == "ER" )
 		replace forborn = 1 if (pob == "EU" )
 		replace forborn = 1 if (pob == "EY" )
 		replace forborn = 1 if (pob == "FB" )
 		replace forborn = 1 if (pob == "FJ" )
 		replace forborn = 1 if (pob == "FM" )
 		replace forborn = 1 if (pob == "FN" )
 		replace forborn = 1 if (pob == "FO" )
 		replace forborn = 1 if (pob == "FOR" )
 		replace forborn = 1 if (pob == "FR" )
 		replace forborn = 1 if (pob == "GB" )
 		replace forborn = 1 if (pob == "GC" )
 		replace forborn = 1 if (pob == "GD" )
 		replace forborn = 1 if (pob == "GE" )
 		replace forborn = 1 if (pob == "GF" )
 		replace forborn = 1 if (pob == "GH" )
 		replace forborn = 1 if (pob == "GI" )
 		replace forborn = 1 if (pob == "GL" )
 		replace forborn = 1 if (pob == "GM" )
 		replace forborn = 1 if (pob == "GN" )
 		replace forborn = 1 if (pob == "GO" )
 		replace forborn = 1 if (pob == "GP" )
 		replace forborn = 1 if (pob == "GQ" )
 		replace forborn = 1 if (pob == "GS" )
 		replace forborn = 1 if (pob == "GT" )
 		replace forborn = 1 if (pob == "GU" )
 		replace forborn = 1 if (pob == "GW" )
 		replace forborn = 1 if (pob == "GY" )
 		replace forborn = 1 if (pob == "HK" )
 		replace forborn = 1 if (pob == "HM" )
 		replace forborn = 1 if (pob == "HN" )
 		replace forborn = 1 if (pob == "HR" )
 		replace forborn = 1 if (pob == "HT" )
 		replace forborn = 1 if (pob == "HU" )
 		replace forborn = 1 if (pob == "IC" )
 		replace forborn = 1 if (pob == "IE" )
 		replace forborn = 1 if (pob == "II" )
 		replace forborn = 1 if (pob == "ii" )
 		replace forborn = 1 if (pob == "IO" )
 		replace forborn = 1 if (pob == "IQ" )
 		replace forborn = 1 if (pob == "IR" )
 		replace forborn = 1 if (pob == "IS" )
 		replace forborn = 1 if (pob == "IT" )
 		replace forborn = 1 if (pob == "JA" )
 		replace forborn = 1 if (pob == "JM" )
 		replace forborn = 1 if (pob == "JO" )
 		replace forborn = 1 if (pob == "KE" )
 		replace forborn = 1 if (pob == "KG" )
 		replace forborn = 1 if (pob == "KI" )
 		replace forborn = 1 if (pob == "KM" )
 		replace forborn = 1 if (pob == "KN" )
 		replace forborn = 1 if (pob == "KP" )
 		replace forborn = 1 if (pob == "KR" )
 		replace forborn = 1 if (pob == "kr" )
 		replace forborn = 1 if (pob == "KW" )
 		replace forborn = 1 if (pob == "KZ" )
 		replace forborn = 1 if (pob == "LB" )
 		replace forborn = 1 if (pob == "LC" )
 		replace forborn = 1 if (pob == "LE" )
 		replace forborn = 1 if (pob == "LI" )
 		replace forborn = 1 if (pob == "LK" )
 		replace forborn = 1 if (pob == "LO" )
 		replace forborn = 1 if (pob == "LS" )
 		replace forborn = 1 if (pob == "LT" )
 		replace forborn = 1 if (pob == "LU" )
 		replace forborn = 1 if (pob == "LV" )
 		replace forborn = 1 if (pob == "LY" )
 		replace forborn = 1 if (pob == "MB" )
 		replace forborn = 1 if (pob == "MC" )
 		replace forborn = 1 if (pob == "MF" )
 		replace forborn = 1 if (pob == "MG" )
 		replace forborn = 1 if (pob == "MH" )
 		replace forborn = 1 if (pob == "MJ" )
 		replace forborn = 1 if (pob == "MK" )
 		replace forborn = 1 if (pob == "ML" )
 		replace forborn = 1 if (pob == "MM" )
 		replace forborn = 1 if (pob == "MP" )
 		replace forborn = 1 if (pob == "MQ" )
 		replace forborn = 1 if (pob == "MR" )
 		replace forborn = 1 if (pob == "MU" )
 		replace forborn = 1 if (pob == "MU" )
 		replace forborn = 1 if (pob == "MV" )
 		replace forborn = 1 if (pob == "MW" )
 		replace forborn = 1 if (pob == "MX" )
 		replace forborn = 1 if (pob == "mx" )
 		replace forborn = 1 if (pob == "MY" )
 		replace forborn = 1 if (pob == "MZ" )
 		replace forborn = 1 if (pob == "NA" )
 		replace forborn = 1 if (pob == "NF" )
 		replace forborn = 1 if (pob == "NG" )
 		replace forborn = 1 if (pob == "NI" )
 		replace forborn = 1 if (pob == "NL" )
 		replace forborn = 1 if (pob == "NP" )
 		replace forborn = 1 if (pob == "NR" )
 		replace forborn = 1 if (pob == "NT" )
 		replace forborn = 1 if (pob == "NU" )
 		replace forborn = 1 if (pob == "NW" )
 		replace forborn = 1 if (pob == "NZ" )
 		replace forborn = 1 if (pob == "OM" )
 		replace forborn = 1 if (pob == "PF" )
 		replace forborn = 1 if (pob == "PI" )
 		replace forborn = 1 if (pob == "PK" )
 		replace forborn = 1 if (pob == "PM" )
 		replace forborn = 1 if (pob == "PN" )
 		replace forborn = 1 if (pob == "PO" )
 		replace forborn = 1 if (pob == "PP" )
 		replace forborn = 1 if (pob == "PR" )
 		replace forborn = 1 if (pob == "PS" )
 		replace forborn = 1 if (pob == "PT" )
 		replace forborn = 1 if (pob == "PU" )
 		replace forborn = 1 if (pob == "PV" )
 		replace forborn = 1 if (pob == "PW" )
 		replace forborn = 1 if (pob == "QA" )
 		replace forborn = 1 if (pob == "RE" )
 		replace forborn = 1 if (pob == "RH" )
 		replace forborn = 1 if (pob == "RM" )
 		replace forborn = 1 if (pob == "RO" )
 		replace forborn = 1 if (pob == "RU" )
 		replace forborn = 1 if (pob == "RW" )
 		replace forborn = 1 if (pob == "SA" )
 		replace forborn = 1 if (pob == "SB" )
 		replace forborn = 1 if (pob == "SE" )
 		replace forborn = 1 if (pob == "SF" )
 		replace forborn = 1 if (pob == "SG" )
 		replace forborn = 1 if (pob == "SH" )
 		replace forborn = 1 if (pob == "SI" )
 		replace forborn = 1 if (pob == "SJ" )
 		replace forborn = 1 if (pob == "SK" )
 		replace forborn = 1 if (pob == "SL" )
 		replace forborn = 1 if (pob == "SM" )
 		replace forborn = 1 if (pob == "SN" )
 		replace forborn = 1 if (pob == "SO" )
 		replace forborn = 1 if (pob == "SP" )
 		replace forborn = 1 if (pob == "SQ" )
 		replace forborn = 1 if (pob == "SR" )
 		replace forborn = 1 if (pob == "ST" )
 		replace forborn = 1 if (pob == "SU" )
 		replace forborn = 1 if (pob == "SV" )
 		replace forborn = 1 if (pob == "SW" )
 		replace forborn = 1 if (pob == "SY" )
 		replace forborn = 1 if (pob == "SZ" )
 		replace forborn = 1 if (pob == "TC" )
 		replace forborn = 1 if (pob == "TD" )
 		replace forborn = 1 if (pob == "TF" )
 		replace forborn = 1 if (pob == "TG" )
 		replace forborn = 1 if (pob == "TH" )
 		replace forborn = 1 if (pob == "TJ" )
 		replace forborn = 1 if (pob == "TK" )
 		replace forborn = 1 if (pob == "TL" )
 		replace forborn = 1 if (pob == "TM" )
 		replace forborn = 1 if (pob == "TO" )
 		replace forborn = 1 if (pob == "TR" )
 		replace forborn = 1 if (pob == "TT" )
 		replace forborn = 1 if (pob == "TU" )
 		replace forborn = 1 if (pob == "TV" )
 		replace forborn = 1 if (pob == "TW" )
 		replace forborn = 1 if (pob == "TZ" )
 		replace forborn = 1 if (pob == "UA" )
 		replace forborn = 1 if (pob == "UG" )
 		replace forborn = 1 if (pob == "UK" )
 		replace forborn = 1 if (pob == "UNK" )
 		replace forborn = 1 if (pob == "UM" )
 		replace forborn = 1 if (pob == "UN" )
 		replace forborn = 1 if (pob == "UR" )
 		replace forborn = 1 if (pob == "UY" )
 		replace forborn = 1 if (pob == "UZ" )
 		replace forborn = 1 if (pob == "VC" )
 		replace forborn = 1 if (pob == "VG" )
 		replace forborn = 1 if (pob == "VI" )
 		replace forborn = 1 if (pob == "VM" )
 		replace forborn = 1 if (pob == "vm" )
 		replace forborn = 1 if (pob == "VN" )
 		replace forborn = 1 if (pob == "VU" )
 		replace forborn = 1 if (pob == "VZ" )
 		replace forborn = 1 if (pob == "WF" )
 		replace forborn = 1 if (pob == "WG" )
 		replace forborn = 1 if (pob == "WK" )
 		replace forborn = 1 if (pob == "WN" )
 		replace forborn = 1 if (pob == "WS" )
 		replace forborn = 1 if (pob == "XC" )
 		replace forborn = 1 if (pob == "XG" )
 		replace forborn = 1 if (pob == "XI" )
 		replace forborn = 1 if (pob == "XM" )
 		replace forborn = 1 if (pob == "XN" )
 		replace forborn = 1 if (pob == "XS" )
 		replace forborn = 1 if (pob == "YE" )
 		replace forborn = 1 if (pob == "YG" )
 		replace forborn = 1 if (pob == "YS" )
 		replace forborn = 1 if (pob == "YT" )
 		replace forborn = 1 if (pob == "YW" )
 		replace forborn = 1 if (pob == "ZA" )
 		replace forborn = 1 if (pob == "ZC" )
 		replace forborn = 1 if (pob == "ZM" )
 		replace forborn = 1 if (pob == "ZW" )
		replace forborn = 0 if forborn == .
						


	** BALANCE TESTS
	
		svyset caseid_first
		
		bysort treatment2: summ age		
		svy: mean age, over(treatment2)
		test [age]pave = [age]control
		test [age]warren = [age]control
	
		bysort treatment2: summ yrsreg
		svy: mean yrsreg, over(treatment2)
		test [yrsreg]pave = [yrsreg]control
		test [yrsreg]warren = [yrsreg]control
		
		bysort treatment2: summ forborn
		svy: mean forborn, over(treatment2)
		test [forborn]pave = [forborn]control
		test [forborn]warren = [forborn]control
		
		bysort treatment2: summ democrat
		svy: mean democrat, over(treatment2)
		test [democrat]pave = [democrat]control
		test [democrat]warren = [democrat]control
		
		bysort treatment2: summ republican
		svy: mean republican, over(treatment2)
		test [republican]pave = [republican]control
		test [republican]warren = [republican]control
		
		bysort treatment2: summ dsotherpid
		svy: mean dsotherpid, over(treatment2)
		test [dsotherpid]pave = [dsotherpid]control
		test [dsotherpid]warren = [dsotherpid]control
	
		bysort treatment2: summ vbm
		svy: mean vbm, over(treatment2)
		test [vbm]pave = [vbm]control
		test [vbm]warren = [vbm]control

		bysort treatment2: summ v0208		
		svy: mean v0208, over(treatment2)
		test [v0208]pave = [v0208]control
		test [v0208]warren = [v0208]control
		
		bysort treatment2: summ v0608
		svy: mean v0608, over(treatment2)
		test [v0608]pave = [v0608]control
		test [v0608]warren = [v0608]control
		
		bysort treatment2: summ v1108
		svy: mean v1108, over(treatment2)
		test [v1108]pave = [v1108]control
		test [v1108]warren = [v1108]control
		
		bysort treatment2: summ v0509
		svy: mean v0509, over(treatment2)
		test [v0509]pave = [v0509]control
		test [v0509]warren = [v0509]control
	
	
	** ITT EFFECTS
	
		bysort treatment2: tab voted
			
		** clustered by household
		
			svy: mean voted, over(treatment2)
			test [voted]warren = [voted]control
			test [voted]pave = [voted]control
			test [voted]warren = [voted]pave
			
			lincom [voted]warren - [voted]control
			lincom [voted]pave - [voted]control
			lincom [voted]warren - [voted]pave
					
	** MODEL EFFECTS
	
		reg voted pave warren, cluster(caseid_first)
	

clear
*************************
****** JUNE 8, 2010 *****
*************************

	
	** OPEN DB FILE
	use "June10post.dta"	

	** MERGE WITH EXPERIMENTAL TREATMENT INFO
	merge voterid using "june10_treatments.dta", unique sort
	
	** CREATE RELEVANT VARIABLES
	
		gen democrat =  partyname == "Democratic"
		gen republican =  partyname == "Republican"
		gen declinepid = partyname == "Non-Decline To State"
		gen otherpid = (partyname == "Amer Natl Socialist" | partyname == "American Independent" | partyname == "Conservative" | partyname == "Green" | partyname == "Liberal" | partyname == "Libertarian" | partyname == "Misc" | partyname == "Natural Law" | partyname == "Peace and Freedom" | partyname == "Reform" | partyname == "Socialist" | partyname == "Socialist Labor")
		
		gen dsotherpid = (declinepid==1 | otherpid==1)
		
		gen yr_reg = substr(registrationdate,7,4)
		destring yr_reg, replace
		gen yrsreg = 2010 - yr_reg


		tab voterage
		
	
		gen forborn = 1 if (birthplace == "AA" )
		replace forborn = 1 if (birthplace == "AB" ) 
 		replace forborn = 1 if (birthplace == "AC" ) 
 		replace forborn = 1 if (birthplace == "AD" ) 
 		replace forborn = 1 if (birthplace == "AE" ) 
 		replace forborn = 1 if (birthplace == "AF" ) 
 		replace forborn = 1 if (birthplace == "AG" ) 
 		replace forborn = 1 if (birthplace == "AI" ) 
 		replace forborn = 1 if (birthplace == "AM" ) 
 		replace forborn = 1 if (birthplace == "AO" ) 
 		replace forborn = 1 if (birthplace == "AQ" ) 
 		replace forborn = 1 if (birthplace == "AR" ) 
 		replace forborn = 1 if (birthplace == "AS" ) 
 		replace forborn = 1 if (birthplace == "AT" ) 
 		replace forborn = 1 if (birthplace == "AU" ) 
 		replace forborn = 1 if (birthplace == "AW" ) 
 		replace forborn = 1 if (birthplace == "AX" ) 
 		replace forborn = 1 if (birthplace == "BA" ) 
 		replace forborn = 1 if (birthplace == "BB" ) 
 		replace forborn = 1 if (birthplace == "BD" ) 
 		replace forborn = 1 if (birthplace == "BE" ) 
 		replace forborn = 1 if (birthplace == "BF" ) 
 		replace forborn = 1 if (birthplace == "BG" ) 
 		replace forborn = 1 if (birthplace == "BH" ) 
 		replace forborn = 1 if (birthplace == "BI" ) 
 		replace forborn = 1 if (birthplace == "BJ" ) 
 		replace forborn = 1 if (birthplace == "BM" ) 
 		replace forborn = 1 if (birthplace == "BN" ) 
 		replace forborn = 1 if (birthplace == "BO" ) 
 		replace forborn = 1 if (birthplace == "BR" ) 
 		replace forborn = 1 if (birthplace == "BS" ) 
 		replace forborn = 1 if (birthplace == "BT" ) 
 		replace forborn = 1 if (birthplace == "BU" ) 
 		replace forborn = 1 if (birthplace == "BV" ) 
 		replace forborn = 1 if (birthplace == "BW" ) 
 		replace forborn = 1 if (birthplace == "BY" ) 
 		replace forborn = 1 if (birthplace == "BZ" ) 
 		replace forborn = 1 if (birthplace == "CB" ) 
 		replace forborn = 1 if (birthplace == "CC" ) 
 		replace forborn = 1 if (birthplace == "CD" ) 
 		replace forborn = 1 if (birthplace == "CE" ) 
 		replace forborn = 1 if (birthplace == "CF" ) 
 		replace forborn = 1 if (birthplace == "CG" ) 
 		replace forborn = 1 if (birthplace == "CH" ) 
 		replace forborn = 1 if (birthplace == "CI" ) 
 		replace forborn = 1 if (birthplace == "CK" ) 
 		replace forborn = 1 if (birthplace == "CM" ) 
 		replace forborn = 1 if (birthplace == "CN" ) 
 		replace forborn = 1 if (birthplace == "CD" ) 					
 		replace forborn = 1 if (birthplace == "CQ" )
 		replace forborn = 1 if (birthplace == "CR" )
 		replace forborn = 1 if (birthplace == "CS" )
 		replace forborn = 1 if (birthplace == "CU" )
 		replace forborn = 1 if (birthplace == "CV" )
 		replace forborn = 1 if (birthplace == "CX" )
 		replace forborn = 1 if (birthplace == "CY" )
 		replace forborn = 1 if (birthplace == "CZ" )
 		replace forborn = 1 if (birthplace == "DJ" )
 		replace forborn = 1 if (birthplace == "DK" )
 		replace forborn = 1 if (birthplace == "DM" )
 		replace forborn = 1 if (birthplace == "DR" )
 		replace forborn = 1 if (birthplace == "DS" )
 		replace forborn = 1 if (birthplace == "DU" )
 		replace forborn = 1 if (birthplace == "DZ" )
 		replace forborn = 1 if (birthplace == "EE" )
 		replace forborn = 1 if (birthplace == "EM" )
 		replace forborn = 1 if (birthplace == "EN" )
 		replace forborn = 1 if (birthplace == "EO" )
 		replace forborn = 1 if (birthplace == "ER" )
 		replace forborn = 1 if (birthplace == "EU" )
 		replace forborn = 1 if (birthplace == "EY" )
 		replace forborn = 1 if (birthplace == "FB" )
 		replace forborn = 1 if (birthplace == "FJ" )
 		replace forborn = 1 if (birthplace == "FM" )
 		replace forborn = 1 if (birthplace == "FN" )
 		replace forborn = 1 if (birthplace == "FO" )
 		replace forborn = 1 if (birthplace == "FOR" )
 		replace forborn = 1 if (birthplace == "FR" )
 		replace forborn = 1 if (birthplace == "GB" )
 		replace forborn = 1 if (birthplace == "GC" )
 		replace forborn = 1 if (birthplace == "GD" )
 		replace forborn = 1 if (birthplace == "GE" )
 		replace forborn = 1 if (birthplace == "GF" )
 		replace forborn = 1 if (birthplace == "GH" )
 		replace forborn = 1 if (birthplace == "GI" )
 		replace forborn = 1 if (birthplace == "GL" )
 		replace forborn = 1 if (birthplace == "GM" )
 		replace forborn = 1 if (birthplace == "GN" )
 		replace forborn = 1 if (birthplace == "GO" )
 		replace forborn = 1 if (birthplace == "GP" )
 		replace forborn = 1 if (birthplace == "GQ" )
 		replace forborn = 1 if (birthplace == "GS" )
 		replace forborn = 1 if (birthplace == "GT" )
 		replace forborn = 1 if (birthplace == "GU" )
 		replace forborn = 1 if (birthplace == "GW" )
 		replace forborn = 1 if (birthplace == "GY" )
 		replace forborn = 1 if (birthplace == "HK" )
 		replace forborn = 1 if (birthplace == "HM" )
 		replace forborn = 1 if (birthplace == "HN" )
 		replace forborn = 1 if (birthplace == "HR" )
 		replace forborn = 1 if (birthplace == "HT" )
 		replace forborn = 1 if (birthplace == "HU" )
 		replace forborn = 1 if (birthplace == "IC" )
 		replace forborn = 1 if (birthplace == "IE" )
 		replace forborn = 1 if (birthplace == "II" )
 		replace forborn = 1 if (birthplace == "ii" )
 		replace forborn = 1 if (birthplace == "IO" )
 		replace forborn = 1 if (birthplace == "IQ" )
 		replace forborn = 1 if (birthplace == "IR" )
 		replace forborn = 1 if (birthplace == "IS" )
 		replace forborn = 1 if (birthplace == "IT" )
 		replace forborn = 1 if (birthplace == "JA" )
 		replace forborn = 1 if (birthplace == "JM" )
 		replace forborn = 1 if (birthplace == "JO" )
 		replace forborn = 1 if (birthplace == "KE" )
 		replace forborn = 1 if (birthplace == "KG" )
 		replace forborn = 1 if (birthplace == "KI" )
 		replace forborn = 1 if (birthplace == "KM" )
 		replace forborn = 1 if (birthplace == "KN" )
 		replace forborn = 1 if (birthplace == "KP" )
 		replace forborn = 1 if (birthplace == "KR" )
 		replace forborn = 1 if (birthplace == "kr" )
 		replace forborn = 1 if (birthplace == "KW" )
 		replace forborn = 1 if (birthplace == "KZ" )
 		replace forborn = 1 if (birthplace == "LB" )
 		replace forborn = 1 if (birthplace == "LC" )
 		replace forborn = 1 if (birthplace == "LE" )
 		replace forborn = 1 if (birthplace == "LI" )
 		replace forborn = 1 if (birthplace == "LK" )
 		replace forborn = 1 if (birthplace == "LO" )
 		replace forborn = 1 if (birthplace == "LS" )
 		replace forborn = 1 if (birthplace == "LT" )
 		replace forborn = 1 if (birthplace == "LU" )
 		replace forborn = 1 if (birthplace == "LV" )
 		replace forborn = 1 if (birthplace == "LY" )
 		replace forborn = 1 if (birthplace == "MB" )
 		replace forborn = 1 if (birthplace == "MC" )
 		replace forborn = 1 if (birthplace == "MF" )
 		replace forborn = 1 if (birthplace == "MG" )
 		replace forborn = 1 if (birthplace == "MH" )
 		replace forborn = 1 if (birthplace == "MJ" )
 		replace forborn = 1 if (birthplace == "MK" )
 		replace forborn = 1 if (birthplace == "ML" )
 		replace forborn = 1 if (birthplace == "MM" )
 		replace forborn = 1 if (birthplace == "MP" )
 		replace forborn = 1 if (birthplace == "MQ" )
 		replace forborn = 1 if (birthplace == "MR" )
 		replace forborn = 1 if (birthplace == "MU" )
 		replace forborn = 1 if (birthplace == "MU" )
 		replace forborn = 1 if (birthplace == "MV" )
 		replace forborn = 1 if (birthplace == "MW" )
 		replace forborn = 1 if (birthplace == "MX" )
 		replace forborn = 1 if (birthplace == "mx" )
 		replace forborn = 1 if (birthplace == "MY" )
 		replace forborn = 1 if (birthplace == "MZ" )
 		replace forborn = 1 if (birthplace == "NA" )
 		replace forborn = 1 if (birthplace == "NF" )
 		replace forborn = 1 if (birthplace == "NG" )
 		replace forborn = 1 if (birthplace == "NI" )
 		replace forborn = 1 if (birthplace == "NL" )
 		replace forborn = 1 if (birthplace == "NP" )
 		replace forborn = 1 if (birthplace == "NR" )
 		replace forborn = 1 if (birthplace == "NT" )
 		replace forborn = 1 if (birthplace == "NU" )
 		replace forborn = 1 if (birthplace == "NW" )
 		replace forborn = 1 if (birthplace == "NZ" )
 		replace forborn = 1 if (birthplace == "OM" )
 		replace forborn = 1 if (birthplace == "PF" )
 		replace forborn = 1 if (birthplace == "PI" )
 		replace forborn = 1 if (birthplace == "PK" )
 		replace forborn = 1 if (birthplace == "PM" )
 		replace forborn = 1 if (birthplace == "PN" )
 		replace forborn = 1 if (birthplace == "PO" )
 		replace forborn = 1 if (birthplace == "PP" )
 		replace forborn = 1 if (birthplace == "PR" )
 		replace forborn = 1 if (birthplace == "PS" )
 		replace forborn = 1 if (birthplace == "PT" )
 		replace forborn = 1 if (birthplace == "PU" )
 		replace forborn = 1 if (birthplace == "PV" )
 		replace forborn = 1 if (birthplace == "PW" )
 		replace forborn = 1 if (birthplace == "QA" )
 		replace forborn = 1 if (birthplace == "RE" )
 		replace forborn = 1 if (birthplace == "RH" )
 		replace forborn = 1 if (birthplace == "RM" )
 		replace forborn = 1 if (birthplace == "RO" )
 		replace forborn = 1 if (birthplace == "RU" )
 		replace forborn = 1 if (birthplace == "RW" )
 		replace forborn = 1 if (birthplace == "SA" )
 		replace forborn = 1 if (birthplace == "SB" )
 		replace forborn = 1 if (birthplace == "SE" )
 		replace forborn = 1 if (birthplace == "SF" )
 		replace forborn = 1 if (birthplace == "SG" )
 		replace forborn = 1 if (birthplace == "SH" )
 		replace forborn = 1 if (birthplace == "SI" )
 		replace forborn = 1 if (birthplace == "SJ" )
 		replace forborn = 1 if (birthplace == "SK" )
 		replace forborn = 1 if (birthplace == "SL" )
 		replace forborn = 1 if (birthplace == "SM" )
 		replace forborn = 1 if (birthplace == "SN" )
 		replace forborn = 1 if (birthplace == "SO" )
 		replace forborn = 1 if (birthplace == "SP" )
 		replace forborn = 1 if (birthplace == "SQ" )
 		replace forborn = 1 if (birthplace == "SR" )
 		replace forborn = 1 if (birthplace == "ST" )
 		replace forborn = 1 if (birthplace == "SU" )
 		replace forborn = 1 if (birthplace == "SV" )
 		replace forborn = 1 if (birthplace == "SW" )
 		replace forborn = 1 if (birthplace == "SY" )
 		replace forborn = 1 if (birthplace == "SZ" )
 		replace forborn = 1 if (birthplace == "TC" )
 		replace forborn = 1 if (birthplace == "TD" )
 		replace forborn = 1 if (birthplace == "TF" )
 		replace forborn = 1 if (birthplace == "TG" )
 		replace forborn = 1 if (birthplace == "TH" )
 		replace forborn = 1 if (birthplace == "TJ" )
 		replace forborn = 1 if (birthplace == "TK" )
 		replace forborn = 1 if (birthplace == "TL" )
 		replace forborn = 1 if (birthplace == "TM" )
 		replace forborn = 1 if (birthplace == "TO" )
 		replace forborn = 1 if (birthplace == "TR" )
 		replace forborn = 1 if (birthplace == "TT" )
 		replace forborn = 1 if (birthplace == "TU" )
 		replace forborn = 1 if (birthplace == "TV" )
 		replace forborn = 1 if (birthplace == "TW" )
 		replace forborn = 1 if (birthplace == "TZ" )
 		replace forborn = 1 if (birthplace == "UA" )
 		replace forborn = 1 if (birthplace == "UG" )
 		replace forborn = 1 if (birthplace == "UK" )
 		replace forborn = 1 if (birthplace == "UNK" )
 		replace forborn = 1 if (birthplace == "UM" )
 		replace forborn = 1 if (birthplace == "UN" )
 		replace forborn = 1 if (birthplace == "UR" )
 		replace forborn = 1 if (birthplace == "UY" )
 		replace forborn = 1 if (birthplace == "UZ" )
 		replace forborn = 1 if (birthplace == "VC" )
 		replace forborn = 1 if (birthplace == "VG" )
 		replace forborn = 1 if (birthplace == "VI" )
 		replace forborn = 1 if (birthplace == "VM" )
 		replace forborn = 1 if (birthplace == "vm" )
 		replace forborn = 1 if (birthplace == "VN" )
 		replace forborn = 1 if (birthplace == "VU" )
 		replace forborn = 1 if (birthplace == "VZ" )
 		replace forborn = 1 if (birthplace == "WF" )
 		replace forborn = 1 if (birthplace == "WG" )
 		replace forborn = 1 if (birthplace == "WK" )
 		replace forborn = 1 if (birthplace == "WN" )
 		replace forborn = 1 if (birthplace == "WS" )
 		replace forborn = 1 if (birthplace == "XC" )
 		replace forborn = 1 if (birthplace == "XG" )
 		replace forborn = 1 if (birthplace == "XI" )
 		replace forborn = 1 if (birthplace == "XM" )
 		replace forborn = 1 if (birthplace == "XN" )
 		replace forborn = 1 if (birthplace == "XS" )
 		replace forborn = 1 if (birthplace == "YE" )
 		replace forborn = 1 if (birthplace == "YG" )
 		replace forborn = 1 if (birthplace == "YS" )
 		replace forborn = 1 if (birthplace == "YT" )
 		replace forborn = 1 if (birthplace == "YW" )
 		replace forborn = 1 if (birthplace == "ZA" )
 		replace forborn = 1 if (birthplace == "ZC" )
 		replace forborn = 1 if (birthplace == "ZM" )
 		replace forborn = 1 if (birthplace == "ZW" )
		replace forborn = 0 if forborn == .
						
		gen vbm = avstatus == "PermVBM"
		
		* june 2010 (this one)
		gen voted = electiondate_5 == "2010-06-08 00:00:00"
		
		* feb 08
		gen feb08b = vhist1 == "2008-02-05 00:00:00"
		
		* jun 08
		gen jun08b = vhist2 == "2008-06-03 00:00:00"
	
		* nov 08
		gen nov08b = vhist3 == "2008-11-04 00:00:00"
		
		* may 09 
		gen may09b = vhist4 == "2009-05-19 00:00:00"
		
		** nov 09
		gen nov09b = vhist5  == "2009-11-03 00:00:00"
	
		gen control = treatment == 0 
		gen warren = treatment == 1
		gen pave = treatment == 2
	
		drop if treatment == .
	
	** BALANCE TESTS
		
		svyset caseid_first
		
		bysort treatment: summ voterage		
		svy: mean voterage, over(treatment)
		test [voterage]pave = [voterage]control
		test [voterage]warren = [voterage]control
	
		bysort treatment: summ yrsreg
		svy: mean yrsreg, over(treatment)
		test [yrsreg]pave = [yrsreg]control
		test [yrsreg]warren = [yrsreg]control
	
		bysort treatment: summ forborn
		svy: mean forborn, over(treatment)
		test [forborn]pave = [forborn]control
		test [forborn]warren = [forborn]control
	
		bysort treatment: summ democrat
		svy: mean democrat, over(treatment)
		test [democrat]pave = [democrat]control
		test [democrat]warren = [democrat]control
		
		bysort treatment: summ republican
		svy: mean republican, over(treatment)
		test [republican]pave = [republican]control
		test [republican]warren = [republican]control
		
		bysort treatment: summ dsotherpid
		svy: mean dsotherpid, over(treatment)
		test [dsotherpid]pave = [dsotherpid]control
		test [dsotherpid]warren = [dsotherpid]control
		
		bysort treatment: summ vbm
		svy: mean vbm, over(treatment)
		test [vbm]pave = [vbm]control
		test [vbm]warren = [vbm]control
		
		
		** feb 08b
		bysort treatment: summ feb08b
		svy: mean feb08b, over(treatment)
		test [feb08b]pave = [feb08b]control
		test [feb08b]warren = [feb08b]control
		
		** jun 08b
		bysort treatment: summ jun08b
		svy: mean jun08b, over(treatment)
		test [jun08b]pave = [jun08b]control
		test [jun08b]warren = [jun08b]control
	
		** nov 08b
		bysort treatment: summ nov08b
		svy: mean nov08b, over(treatment)
		test [nov08b]pave = [nov08b]control
		test [nov08b]warren = [nov08b]control
		
		** may 09b
		bysort treatment: summ may09b
		svy: mean may09b, over(treatment)
		test [may09b]pave = [may09b]control
		test [may09b]warren = [may09b]control
		
		** nov 09b
		bysort treatment: summ nov09b
		svy: mean nov09b, over(treatment)
		test [nov09b]pave = [nov09b]control
		test [nov09b]warren = [nov09b]control
	
	** ITT EFFECTS
	
		bysort treatment: tab voted
	
		
		** clustered by household
			svyset caseid_first
			
			svy: mean voted, over(treatment)
			test [voted]warren = [voted]control
			test [voted]pave = [voted]control
			test [voted]warren = [voted]pave
			
			lincom [voted]warren - [voted]control
			lincom [voted]pave - [voted]control
			lincom [voted]warren - [voted]pave
		
	** MODEL RESULTS
	
		reg voted pave warren, cluster(caseid_first)

	


***********************************
***** NOVEMBER 2010 ***************
***********************************
clear

	** OPEN DB FILE
	use "Nov2010post.dta"
		
	** MERGE WITH EXPERIMENTAL TREATMENT INFO + PRE-ELECTION VOTE HISTORY
	merge VoterID using "Nov2010_treatments.dta", unique sort		
		
		
	** CREATE RELEVANT VARIABLES
		
		gen dem = szpartyname == "Democratic"
		gen rep = szpartyname == "Republican"
		gen dsotherpid = (szpartyname == "Non-Decline To State" | (szpartyname != "Democratic" & szpartyname != "Republican")) 
	
		gen voted1110 = dtelectiondate1 == "11/02/2010"
		
		gen voted0208 = vhist5 == "02/05/2008" 
		gen voted0608 = vhist4 == "06/03/2008"
		gen voted1108 = vhist3 == "11/04/2008"
		gen voted1109 = vhist2 == "11/03/2009"
		gen voted0610 = vhist1 == "06/08/2010"
		
		gen pave = treatment == 2
		gen registrar = treatment == 1
		
		gen vbm = szavstatusabbr == "PermVBM"
	
	
			
		gen forborn = 1 if (sbirthplace == "AA" )
		replace forborn = 1 if (sbirthplace == "AB" ) 
		replace forborn = 1 if (sbirthplace == "AC" ) 
		replace forborn = 1 if (sbirthplace == "AD" ) 
		replace forborn = 1 if (sbirthplace == "AE" ) 
		replace forborn = 1 if (sbirthplace == "AF" ) 
		replace forborn = 1 if (sbirthplace == "AG" ) 
		replace forborn = 1 if (sbirthplace == "AI" ) 
		replace forborn = 1 if (sbirthplace == "AM" ) 
		replace forborn = 1 if (sbirthplace == "AO" ) 
		replace forborn = 1 if (sbirthplace == "AQ" ) 
		replace forborn = 1 if (sbirthplace == "AR" ) 
		replace forborn = 1 if (sbirthplace == "AS" ) 
		replace forborn = 1 if (sbirthplace == "AT" ) 
		replace forborn = 1 if (sbirthplace == "AU" ) 
		replace forborn = 1 if (sbirthplace == "AW" ) 
		replace forborn = 1 if (sbirthplace == "AX" ) 
		replace forborn = 1 if (sbirthplace == "BA" ) 
		replace forborn = 1 if (sbirthplace == "BB" ) 
		replace forborn = 1 if (sbirthplace == "BD" ) 
		replace forborn = 1 if (sbirthplace == "BE" ) 
		replace forborn = 1 if (sbirthplace == "BF" ) 
		replace forborn = 1 if (sbirthplace == "BG" ) 
		replace forborn = 1 if (sbirthplace == "BH" ) 
		replace forborn = 1 if (sbirthplace == "BI" ) 
		replace forborn = 1 if (sbirthplace == "BJ" ) 
		replace forborn = 1 if (sbirthplace == "BM" ) 
		replace forborn = 1 if (sbirthplace == "BN" ) 
		replace forborn = 1 if (sbirthplace == "BO" ) 
		replace forborn = 1 if (sbirthplace == "BR" ) 
		replace forborn = 1 if (sbirthplace == "BS" ) 
		replace forborn = 1 if (sbirthplace == "BT" ) 
		replace forborn = 1 if (sbirthplace == "BU" ) 
		replace forborn = 1 if (sbirthplace == "BV" ) 
		replace forborn = 1 if (sbirthplace == "BW" ) 
		replace forborn = 1 if (sbirthplace == "BY" ) 
		replace forborn = 1 if (sbirthplace == "BZ" ) 
		replace forborn = 1 if (sbirthplace == "CB" ) 
		replace forborn = 1 if (sbirthplace == "CC" ) 
		replace forborn = 1 if (sbirthplace == "CD" ) 
		replace forborn = 1 if (sbirthplace == "CE" ) 
		replace forborn = 1 if (sbirthplace == "CF" ) 
		replace forborn = 1 if (sbirthplace == "CG" ) 
		replace forborn = 1 if (sbirthplace == "CH" ) 
		replace forborn = 1 if (sbirthplace == "CI" ) 
		replace forborn = 1 if (sbirthplace == "CK" ) 
		replace forborn = 1 if (sbirthplace == "CM" ) 
		replace forborn = 1 if (sbirthplace == "CN" ) 
		replace forborn = 1 if (sbirthplace == "CD" ) 					
		replace forborn = 1 if (sbirthplace == "CQ" )
		replace forborn = 1 if (sbirthplace == "CR" )
		replace forborn = 1 if (sbirthplace == "CS" )
		replace forborn = 1 if (sbirthplace == "CU" )
		replace forborn = 1 if (sbirthplace == "CV" )
		replace forborn = 1 if (sbirthplace == "CX" )
		replace forborn = 1 if (sbirthplace == "CY" )
		replace forborn = 1 if (sbirthplace == "CZ" )
		replace forborn = 1 if (sbirthplace == "DJ" )
		replace forborn = 1 if (sbirthplace == "DK" )
		replace forborn = 1 if (sbirthplace == "DM" )
		replace forborn = 1 if (sbirthplace == "DR" )
		replace forborn = 1 if (sbirthplace == "DS" )
		replace forborn = 1 if (sbirthplace == "DU" )
		replace forborn = 1 if (sbirthplace == "DZ" )
		replace forborn = 1 if (sbirthplace == "EE" )
		replace forborn = 1 if (sbirthplace == "EM" )
		replace forborn = 1 if (sbirthplace == "EN" )
		replace forborn = 1 if (sbirthplace == "EO" )
		replace forborn = 1 if (sbirthplace == "ER" )
		replace forborn = 1 if (sbirthplace == "EU" )
		replace forborn = 1 if (sbirthplace == "EY" )
		replace forborn = 1 if (sbirthplace == "FB" )
		replace forborn = 1 if (sbirthplace == "FJ" )
		replace forborn = 1 if (sbirthplace == "FM" )
		replace forborn = 1 if (sbirthplace == "FN" )
		replace forborn = 1 if (sbirthplace == "FO" )
		replace forborn = 1 if (sbirthplace == "FOR" )
		replace forborn = 1 if (sbirthplace == "FR" )
		replace forborn = 1 if (sbirthplace == "GB" )
		replace forborn = 1 if (sbirthplace == "GC" )
		replace forborn = 1 if (sbirthplace == "GD" )
		replace forborn = 1 if (sbirthplace == "GE" )
		replace forborn = 1 if (sbirthplace == "GF" )
		replace forborn = 1 if (sbirthplace == "GH" )
		replace forborn = 1 if (sbirthplace == "GI" )
		replace forborn = 1 if (sbirthplace == "GL" )
		replace forborn = 1 if (sbirthplace == "GM" )
		replace forborn = 1 if (sbirthplace == "GN" )
		replace forborn = 1 if (sbirthplace == "GO" )
		replace forborn = 1 if (sbirthplace == "GP" )
		replace forborn = 1 if (sbirthplace == "GQ" )
		replace forborn = 1 if (sbirthplace == "GS" )
		replace forborn = 1 if (sbirthplace == "GT" )
		replace forborn = 1 if (sbirthplace == "GU" )
		replace forborn = 1 if (sbirthplace == "GW" )
		replace forborn = 1 if (sbirthplace == "GY" )
		replace forborn = 1 if (sbirthplace == "HK" )
		replace forborn = 1 if (sbirthplace == "HM" )
		replace forborn = 1 if (sbirthplace == "HN" )
		replace forborn = 1 if (sbirthplace == "HR" )
		replace forborn = 1 if (sbirthplace == "HT" )
		replace forborn = 1 if (sbirthplace == "HU" )
		replace forborn = 1 if (sbirthplace == "IC" )
		replace forborn = 1 if (sbirthplace == "IE" )
		replace forborn = 1 if (sbirthplace == "II" )
		replace forborn = 1 if (sbirthplace == "ii" )
		replace forborn = 1 if (sbirthplace == "IO" )
		replace forborn = 1 if (sbirthplace == "IQ" )
		replace forborn = 1 if (sbirthplace == "IR" )
		replace forborn = 1 if (sbirthplace == "IS" )
		replace forborn = 1 if (sbirthplace == "IT" )
		replace forborn = 1 if (sbirthplace == "JA" )
		replace forborn = 1 if (sbirthplace == "JM" )
		replace forborn = 1 if (sbirthplace == "JO" )
		replace forborn = 1 if (sbirthplace == "KE" )
		replace forborn = 1 if (sbirthplace == "KG" )
		replace forborn = 1 if (sbirthplace == "KI" )
		replace forborn = 1 if (sbirthplace == "KM" )
		replace forborn = 1 if (sbirthplace == "KN" )
		replace forborn = 1 if (sbirthplace == "KP" )
		replace forborn = 1 if (sbirthplace == "KR" )
		replace forborn = 1 if (sbirthplace == "kr" )
		replace forborn = 1 if (sbirthplace == "KW" )
		replace forborn = 1 if (sbirthplace == "KZ" )
		replace forborn = 1 if (sbirthplace == "LB" )
		replace forborn = 1 if (sbirthplace == "LC" )
		replace forborn = 1 if (sbirthplace == "LE" )
		replace forborn = 1 if (sbirthplace == "LI" )
		replace forborn = 1 if (sbirthplace == "LK" )
		replace forborn = 1 if (sbirthplace == "LO" )
		replace forborn = 1 if (sbirthplace == "LS" )
		replace forborn = 1 if (sbirthplace == "LT" )
		replace forborn = 1 if (sbirthplace == "LU" )
		replace forborn = 1 if (sbirthplace == "LV" )
		replace forborn = 1 if (sbirthplace == "LY" )
		replace forborn = 1 if (sbirthplace == "MB" )
		replace forborn = 1 if (sbirthplace == "MC" )
		replace forborn = 1 if (sbirthplace == "MF" )
		replace forborn = 1 if (sbirthplace == "MG" )
		replace forborn = 1 if (sbirthplace == "MH" )
		replace forborn = 1 if (sbirthplace == "MJ" )
		replace forborn = 1 if (sbirthplace == "MK" )
		replace forborn = 1 if (sbirthplace == "ML" )
		replace forborn = 1 if (sbirthplace == "MM" )
		replace forborn = 1 if (sbirthplace == "MP" )
		replace forborn = 1 if (sbirthplace == "MQ" )
		replace forborn = 1 if (sbirthplace == "MR" )
		replace forborn = 1 if (sbirthplace == "MU" )
		replace forborn = 1 if (sbirthplace == "MU" )
		replace forborn = 1 if (sbirthplace == "MV" )
		replace forborn = 1 if (sbirthplace == "MW" )
		replace forborn = 1 if (sbirthplace == "MX" )
		replace forborn = 1 if (sbirthplace == "mx" )
		replace forborn = 1 if (sbirthplace == "MY" )
		replace forborn = 1 if (sbirthplace == "MZ" )
		replace forborn = 1 if (sbirthplace == "NA" )
		replace forborn = 1 if (sbirthplace == "NF" )
		replace forborn = 1 if (sbirthplace == "NG" )
		replace forborn = 1 if (sbirthplace == "NI" )
		replace forborn = 1 if (sbirthplace == "NL" )
		replace forborn = 1 if (sbirthplace == "NP" )
		replace forborn = 1 if (sbirthplace == "NR" )
		replace forborn = 1 if (sbirthplace == "NT" )
		replace forborn = 1 if (sbirthplace == "NU" )
		replace forborn = 1 if (sbirthplace == "NW" )
		replace forborn = 1 if (sbirthplace == "NZ" )
		replace forborn = 1 if (sbirthplace == "OM" )
		replace forborn = 1 if (sbirthplace == "PF" )
		replace forborn = 1 if (sbirthplace == "PI" )
		replace forborn = 1 if (sbirthplace == "PK" )
		replace forborn = 1 if (sbirthplace == "PM" )
		replace forborn = 1 if (sbirthplace == "PN" )
		replace forborn = 1 if (sbirthplace == "PO" )
		replace forborn = 1 if (sbirthplace == "PP" )
		replace forborn = 1 if (sbirthplace == "PR" )
		replace forborn = 1 if (sbirthplace == "PS" )
		replace forborn = 1 if (sbirthplace == "PT" )
		replace forborn = 1 if (sbirthplace == "PU" )
		replace forborn = 1 if (sbirthplace == "PV" )
		replace forborn = 1 if (sbirthplace == "PW" )
		replace forborn = 1 if (sbirthplace == "QA" )
		replace forborn = 1 if (sbirthplace == "RE" )
		replace forborn = 1 if (sbirthplace == "RH" )
		replace forborn = 1 if (sbirthplace == "RM" )
		replace forborn = 1 if (sbirthplace == "RO" )
		replace forborn = 1 if (sbirthplace == "RU" )
		replace forborn = 1 if (sbirthplace == "RW" )
		replace forborn = 1 if (sbirthplace == "SA" )
		replace forborn = 1 if (sbirthplace == "SB" )
		replace forborn = 1 if (sbirthplace == "SE" )
		replace forborn = 1 if (sbirthplace == "SF" )
		replace forborn = 1 if (sbirthplace == "SG" )
		replace forborn = 1 if (sbirthplace == "SH" )
		replace forborn = 1 if (sbirthplace == "SI" )
		replace forborn = 1 if (sbirthplace == "SJ" )
		replace forborn = 1 if (sbirthplace == "SK" )
		replace forborn = 1 if (sbirthplace == "SL" )
		replace forborn = 1 if (sbirthplace == "SM" )
		replace forborn = 1 if (sbirthplace == "SN" )
		replace forborn = 1 if (sbirthplace == "SO" )
		replace forborn = 1 if (sbirthplace == "SP" )
		replace forborn = 1 if (sbirthplace == "SQ" )
		replace forborn = 1 if (sbirthplace == "SR" )
		replace forborn = 1 if (sbirthplace == "ST" )
		replace forborn = 1 if (sbirthplace == "SU" )
		replace forborn = 1 if (sbirthplace == "SV" )
		replace forborn = 1 if (sbirthplace == "SW" )
		replace forborn = 1 if (sbirthplace == "SY" )
		replace forborn = 1 if (sbirthplace == "SZ" )
		replace forborn = 1 if (sbirthplace == "TC" )
		replace forborn = 1 if (sbirthplace == "TD" )
		replace forborn = 1 if (sbirthplace == "TF" )
		replace forborn = 1 if (sbirthplace == "TG" )
		replace forborn = 1 if (sbirthplace == "TH" )
		replace forborn = 1 if (sbirthplace == "TJ" )
		replace forborn = 1 if (sbirthplace == "TK" )
		replace forborn = 1 if (sbirthplace == "TL" )
		replace forborn = 1 if (sbirthplace == "TM" )
		replace forborn = 1 if (sbirthplace == "TO" )
		replace forborn = 1 if (sbirthplace == "TR" )
		replace forborn = 1 if (sbirthplace == "TT" )
		replace forborn = 1 if (sbirthplace == "TU" )
		replace forborn = 1 if (sbirthplace == "TV" )
		replace forborn = 1 if (sbirthplace == "TW" )
		replace forborn = 1 if (sbirthplace == "TZ" )
		replace forborn = 1 if (sbirthplace == "UA" )
		replace forborn = 1 if (sbirthplace == "UG" )
		replace forborn = 1 if (sbirthplace == "UK" )
		replace forborn = 1 if (sbirthplace == "UNK" )
		replace forborn = 1 if (sbirthplace == "UM" )
		replace forborn = 1 if (sbirthplace == "UN" )
		replace forborn = 1 if (sbirthplace == "UR" )
		replace forborn = 1 if (sbirthplace == "UY" )
		replace forborn = 1 if (sbirthplace == "UZ" )
		replace forborn = 1 if (sbirthplace == "VC" )
		replace forborn = 1 if (sbirthplace == "VG" )
		replace forborn = 1 if (sbirthplace == "VI" )
		replace forborn = 1 if (sbirthplace == "VM" )
		replace forborn = 1 if (sbirthplace == "vm" )
		replace forborn = 1 if (sbirthplace == "VN" )
		replace forborn = 1 if (sbirthplace == "VU" )
		replace forborn = 1 if (sbirthplace == "VZ" )
		replace forborn = 1 if (sbirthplace == "WF" )
		replace forborn = 1 if (sbirthplace == "WG" )
		replace forborn = 1 if (sbirthplace == "WK" )
		replace forborn = 1 if (sbirthplace == "WN" )
		replace forborn = 1 if (sbirthplace == "WS" )
		replace forborn = 1 if (sbirthplace == "XC" )
		replace forborn = 1 if (sbirthplace == "XG" )
		replace forborn = 1 if (sbirthplace == "XI" )
		replace forborn = 1 if (sbirthplace == "XM" )
		replace forborn = 1 if (sbirthplace == "XN" )
		replace forborn = 1 if (sbirthplace == "XS" )
		replace forborn = 1 if (sbirthplace == "YE" )
		replace forborn = 1 if (sbirthplace == "YG" )
		replace forborn = 1 if (sbirthplace == "YS" )
		replace forborn = 1 if (sbirthplace == "YT" )
		replace forborn = 1 if (sbirthplace == "YW" )
		replace forborn = 1 if (sbirthplace == "ZA" )
		replace forborn = 1 if (sbirthplace == "ZC" )
		replace forborn = 1 if (sbirthplace == "ZM" )
		replace forborn = 1 if (sbirthplace == "ZW" )
		replace forborn = 0 if forborn == .
								
		gen age_yr = substr(dtbirthdate, 7, 4)
		destring age_yr, replace
		gen age_mo = substr(dtbirthdate, 1, 2)
		destring age_mo, replace
		gen age_da = substr(dtbirthdate, 4, 2)
		destring age_da, replace
		
		gen age = 2010 - age_yr if ((age_mo < 11) | (age_mo == 11 & age_da <= 2))
		replace age = 2010 - (age_yr + 1) if ( (age_mo == 11 & age_da > 2) | age_mo == 12)
		
	
		gen yr_reg = substr(dtregdate,7,4)
		destring yr_reg, replace
		gen yrsreg = 2010 - yr_reg
	
	
	** BALANCE TESTS	
		svyset caseid_first
		
		bysort treatment: summ age		
		svy: mean age, over(treatment)
		test [age]PAVE = [age]control
		test [age]Warren = [age]control
	
		bysort treatment: summ yrsreg		
		svy: mean yrsreg, over(treatment)
		test [yrsreg]PAVE = [yrsreg]control
		test [yrsreg]Warren = [yrsreg]control
		
		bysort treatment: summ forborn
		svy: mean forborn, over(treatment)
		test [forborn]PAVE = [forborn]control
		test [forborn]Warren = [forborn]control
		
		bysort treatment: summ dem
		svy: mean dem, over(treatment)
		test [dem]PAVE = [dem]control
		test [dem]Warren = [dem]control
	
		bysort treatment: summ rep
		svy: mean rep, over(treatment)
		test [rep]PAVE = [rep]control
		test [rep]Warren = [rep]control
		
		bysort treatment: summ dsotherpid
		svy: mean dsotherpid, over(treatment)
		test [dsotherpid]PAVE = [dsotherpid]control
		test [dsotherpid]Warren = [dsotherpid]control
	
		bysort treatment: summ vbm
		svy: mean vbm, over(treatment)
		test [vbm]PAVE = [vbm]control
		test [vbm]Warren = [vbm]control
		
		bysort treatment: summ voted0208
		svy: mean voted0208, over(treatment)
		test [voted0208]PAVE = [voted0208]control
		test [voted0208]Warren = [voted0208]control
	
		bysort treatment: summ voted0608
		svy: mean voted0608, over(treatment)
		test [voted0608]PAVE = [voted0608]control
		test [voted0608]Warren = [voted0608]control
	
		bysort treatment: summ voted1108
		svy: mean voted1108, over(treatment)
		test [voted1108]PAVE = [voted1108]control
		test [voted1108]Warren = [voted1108]control
	
		bysort treatment: summ voted1109
		svy: mean voted1109, over(treatment)
		test [voted1109]PAVE = [voted1109]control
		test [voted1109]Warren = [voted1109]control
		
		bysort treatment: summ voted0610
		svy: mean voted0610, over(treatment)
		test [voted0610]PAVE = [voted0610]control
		test [voted0610]Warren = [voted0610]control
			
	
	** ITT EFFECTS
	
		bysort treatment: tab voted1110
		
	
		** clustered by household
		svyset caseid_first

		svy: mean voted1110, over(treatment)
		test [voted1110]Warren = [voted1110]control
		test [voted1110]PAVE = [voted1110]control
		test [voted1110]Warren = [voted1110]PAVE
		
		lincom [voted1110]Warren - [voted1110]control
		lincom [voted1110]PAVE - [voted1110]control
		lincom [voted1110]Warren - [voted1110]PAVE


	** MODEL EFFECTS

		reg voted1110 registrar pave, robust cluster(caseid_first)



